System.Design 2.0.0.0 System.Object System.Collections.IEnumerable To be added.

Holds a table of statements that is offered by the . This class cannot be inherited.

- Method
  2.0.0.0
  System.Boolean `` To be added.

  Determines whether the table contains the given statement owner.

  true if is in the table; otherwise, false.

  The owner of the statement collection.
- Method
  2.0.0.0
  System.Collections.IDictionaryEnumerator To be added.

  Returns an for the .

  An for the .

- Property
  2.0.0.0
  System.CodeDom.CodeStatementCollection `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void ``

  If you are the creator of the statement context, you should call the method if you want statement tables to be used to store values for certain objects.

  Populates the statement table with a collection of statement owners.

  A collection of statement owners to add to the table.
- Method
  2.0.0.0
  System.Void ``

  If you are the creator of the statement context, you should call the method if you want statement tables to be used to store values for certain objects.

  Populates the statement table with a statement owner.

  The statement owner to add to the table.
- Method
  2.0.0.0
  System.Collections.IEnumerator

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the method.

  An that can be used to iterate through the collection.